Page MenuHomePhabricator

Disable related pages on desktop beta mode
Closed, ResolvedPublic

Description

Background

The Related Pages feature (in the RelatedArticles extension) is currently rolled out as a mobile-only feature. Given no immediate plans on graduating the Beta Feature on desktop, we should disable it.

AC

  • The Beta Feature is disabled on the Wikipedias.
  • The sidebar feature remains enabled where it's currently enabled.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterReflect change in purpose of RelatedArticlesFooterBlacklistedSkins
mediawiki/extensions/RelatedArticles : masterRemove Related Articles from desktop beta features
operations/mediawiki-config : masterPrepare for related pages configuration change

Event Timeline

ovasileva created this task.Mar 9 2017, 2:57 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 9 2017, 2:57 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMar 9 2017, 5:59 PM
Jdlrobson added a subscriber: Jdlrobson.

Given T146436 was declined I guess we will want/need to remove the desktop codebase entirely as part of this task as the desktop code after disabling beta feature will no longer be usable in any way.

This is a shame. It's going to continue the impression that the reading web team build code only good for mobile (which is not true) and we'll still have to support the legacy related pages in the sidebar for projects like Wikivoyage (I was really hoping we'd migrate them over to the new system)

IMO maintaining the sidebar and the mobile experience is worst than supporting a unified mobile and desktop experience. I urge us to reconsider the approach here.

Related pages on Wikivoyage appears in the sidebar (see text "New York with children") on https://en.wikivoyage.org/wiki/New_York_City

Aklapper added a subscriber: phuedx.

@phuedx: good first task tasks are self-contained, non-controversial issues with a clear approach and should be well-described with pointers to help the new contributor. Given the current short task description I'm removing the good first task tag. Please re-add the tag once the task description has been polished and provides sufficient information for a new contributor. (I can only assume this is about the RelatedArticles extension, and some other repository with some configuration setting for 'desktop beta mode'). Thanks!

Thanks for the clarification @Aklapper!

Related pages on Wikivoyage appears in the sidebar (see text "New York with children") on https://en.wikivoyage.org/wiki/New_York_City

I'm not quite sure what you're getting at but the sidebar feature – I use the term loosely – is configured separately from the Read More Beta Feature. I'll update the AC to reflect that the sidebar feature shouldn't be disabled where it's currently enabled.

phuedx updated the task description. (Show Details)Mar 10 2017, 11:01 AM
phuedx updated the task description. (Show Details)

This is a shame. It's going to continue the impression that the reading web team build code only good for mobile (which is not true) and we'll still have to support the legacy related pages in the sidebar for projects like Wikivoyage (I was really hoping we'd migrate them over to the new system)

This is @ovasileva's call, I guess. One way of ensuring that we don't give that impression is by communicating that we're disabling the Beta Feature as we currently don't have the bandwidth to promote it, which is required after ~6 months, i.e. we're trying to be responsible, and that we're keeping it enabled on mobile to maintain parity with the apps.

Change 344723 had a related patch set uploaded (by Jdlrobson):
[mediawiki/extensions/RelatedArticles@master] Remove Related Articles form desktop beta features

https://gerrit.wikimedia.org/r/344723

We talked about this today.

We agreed to remove related pages from the beta features list on desktop and not enable it on any wikis.

We are concerned about maintenance burden of supporting desktop skins but the code is pretty simple that the above patch is probably enough to fulfill this (by repurposing the blacklist config option).

phuedx added a comment.EditedMar 29 2017, 10:40 PM

^ Why?


Edit

Ah, T160076#3129679!

phuedx assigned this task to Jdlrobson.Mar 29 2017, 10:40 PM

Change 345758 had a related patch set uploaded (by Jdlrobson):
[operations/mediawiki-config@master] Reflect change in purpose of RelatedArticlesFooterBlacklistedSkins

https://gerrit.wikimedia.org/r/345758

https://gerrit.wikimedia.org/r/344723 is ready for review
When merged I can SWAT the related pages and the config change at the same time to avoid any interruption in service.

I've suggested that we use a whitelist instead of a blacklist in rERAR23b25ea2f83f: Remove Related Articles form desktop beta features

pmiazga added a subscriber: pmiazga.Apr 3 2017, 5:33 PM

Should we estimate this task?

Additionally @ovasileva do we want to keep it in current sprint? I remember we spoke about this during our offiste and @Jdlrobson was super fast with a fix but our sprint is overflowing with many open/in progress tasks right now.

Whitelist is a really good idea and helps with maintaining the status quo.
I'd like to wrap this work up so we can forget about it while the decision is fresh in our minds if that's okay. It seems like a "2" ?

Change 346452 had a related patch set uploaded (by Jdlrobson):
[operations/mediawiki-config@master] Prepare for related pages configuration change

https://gerrit.wikimedia.org/r/346452

Change 346453 had a related patch set uploaded (by Jdlrobson):
[operations/mediawiki-config@master] Remove use of blacklist for related pages feature

https://gerrit.wikimedia.org/r/346453

I've written all the patches required. https://gerrit.wikimedia.org/r/344723 can safely be +2ed as it depends on a configuration change. When that patch has a +2 I'll make the SWAT happen and ensure the patch successfully merges.

I've spawned T162201 and I'll do the SWAT today.

Change 346452 merged by jenkins-bot:
[operations/mediawiki-config@master] Prepare for related pages configuration change

https://gerrit.wikimedia.org/r/346452

Mentioned in SAL (#wikimedia-operations) [2017-04-04T23:31:08Z] <catrope@tin> Synchronized wmf-config/InitialiseSettings.php: Prepare for related pages config change (T160076) and set $wgOresFiltersThresholds on plwiki and ptwiki (duration: 00m 41s)

Change 344723 merged by jenkins-bot:
[mediawiki/extensions/RelatedArticles@master] Remove Related Articles from desktop beta features

https://gerrit.wikimedia.org/r/344723

Jdlrobson closed this task as Resolved.Apr 5 2017, 12:03 AM

I've verified that on Vector related pages widget does not show up at the bottom of the page and is not an option in desktop beta features.
On mobile however the related pages widget shows.

Follow up work, including additional verification scheduled T162201 and T162213

Change 345758 abandoned by Jdlrobson:
Reflect change in purpose of RelatedArticlesFooterBlacklistedSkins

https://gerrit.wikimedia.org/r/345758